Class {
	#name : #GrafoscopioPillarASTextStringProjectionDecorator,
	#superclass : #GrafoscopioPillarASTextStringDecorator,
	#instVars : [
		'from',
		'to'
	],
	#category : 'Grafoscopio-Pillar'
}

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringProjectionDecorator >> allRangesOfSubstring: aString [
	^ {  }
]

{ #category : #accessing }
GrafoscopioPillarASTextStringProjectionDecorator >> at: anInteger [ 
	from + anInteger > to ifTrue: [ ^ self  error: ' out of bounds ' ].
	^ super at: from + anInteger 
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringProjectionDecorator >> copyFrom: one to: two [
	^ self class new
		text: text;
		from: from + one;
		to: from + two;
		yourself
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringProjectionDecorator >> from: anInteger [ 
	from := anInteger
]

{ #category : #accessing }
GrafoscopioPillarASTextStringProjectionDecorator >> size [
 	^ to - from 
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringProjectionDecorator >> to: anInteger [ 
	to := anInteger
]
