Extension { #name : #PRDocumentItem }

{ #category : #'*Grafoscopio' }
PRDocumentItem >> textSize [
	^ self textStop - self textStart 
]

{ #category : #'*Grafoscopio' }
PRDocumentItem >> textStart [
	^ self
		propertyAt: #textStart
		ifAbsent: [ self hasChildren
				ifTrue: [ self children first textStart ]
				ifFalse: [ 0 ] ]
]

{ #category : #'*Grafoscopio' }
PRDocumentItem >> textStop [
	^ self
		propertyAt: #textStop
		ifAbsent: [ self hasChildren
				ifTrue: [ self children last textStop ]
				ifFalse: [ 0 ] ]
]
